Skip to content
LogoLogo

IBC Clients

ClientCreator

GET/ibc/core/client/v1/client_creator/{client_id}

ClientCreator queries the creator of a given client.

Path Parameters

client_idRequired
string

client unique identifier

Responses

ClientStates

GET/ibc/core/client/v1/client_states

ClientStates queries all the IBC light clients of a chain.

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

ClientState

GET/ibc/core/client/v1/client_states/{client_id}

ClientState queries an IBC light client.

Path Parameters

client_idRequired
string

client state unique identifier

Responses

Status

GET/ibc/core/client/v1/client_status/{client_id}

Status queries the status of an IBC client.

Path Parameters

client_idRequired
string

client unique identifier

Responses

ConsensusStates

GET/ibc/core/client/v1/consensus_states/{client_id}

ConsensusStates queries all the consensus state associated with a given client.

Path Parameters

client_idRequired
string

client identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

ConsensusStateHeights

GET/ibc/core/client/v1/consensus_states/{client_id}/heights

ConsensusStateHeights queries the height of every consensus states associated with a given client.

Path Parameters

client_idRequired
string

client identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

ConsensusState

GET/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}

ConsensusState queries a consensus state associated with a client state at a given height.

Path Parameters

client_idRequired
string

client identifier

revision_numberRequired
string <uint64>

consensus state revision number

revision_heightRequired
string <uint64>

consensus state revision height

Query Parameters

latest_height
boolean

latest_height overrides the height field and queries the latest stored ConsensusState.

Responses

ClientParams

GET/ibc/core/client/v1/params

ClientParams queries all parameters of the ibc client submodule.

Responses

UpgradedClientState

GET/ibc/core/client/v1/upgraded_client_states

UpgradedClientState queries an Upgraded IBC light client.

Responses

UpgradedConsensusState

GET/ibc/core/client/v1/upgraded_consensus_states

UpgradedConsensusState queries an Upgraded IBC consensus state.

Responses

VerifyMembership

POST/ibc/core/client/v1/verify_membership

VerifyMembership queries an IBC light client for proof verification of a value at a given key path.

Responses

Config

GET/ibc/core/client/v2/config/{client_id}

Config queries the IBC client v2 configuration for a given client.

Path Parameters

client_idRequired
string

client state unique identifier

Responses

CounterpartyInfo

GET/ibc/core/client/v2/counterparty_info/{client_id}

CounterpartyInfo queries an IBC light counter party info.

Path Parameters

client_idRequired
string

client state unique identifier

Responses